jQuery(document).ready(function ($) {

	var owl = jQuery('.banner .owl-carousel');
		owl.owlCarousel({
			margin:20,
			nav: true,
			autoplay : true,
			lazyLoad: true,
			autoplayTimeout: 3000,
			loop: false,
			dots:false,
			navText : ['<i class="fas fa-chevron-left"></i>','<i class="fas fa-chevron-right"></i> '],
			responsive: {
			0: {
				items: 1
			},
			600: {
				items: 1
			},
			1000: {
				items: 1
			}
		},
		autoplayHoverPause : true,
		mouseDrag: true
	});

	$('.mobile-nav .toggle-button').on( 'click', function() {
		$('.mobile-nav .main-navigation').slideToggle();
	});

	$('.mobile-nav-wrap .close ').on( 'click', function() {
		$('.mobile-nav .main-navigation').slideToggle();

	});

	$('<button class="submenu-toggle"></button>').insertAfter($('.mobile-nav ul .menu-item-has-children > a'));
	$('.mobile-nav ul li .submenu-toggle').on( 'click', function() {
		$(this).next().slideToggle();
		$(this).toggleClass('open');
	});

	//accessible menu for edge
	$("#site-navigation ul li a").on( 'focus', function() {
	   $(this).parents("li").addClass("focus");
	}).on( 'blur', function() {
	    $(this).parents("li").removeClass("focus");
	});

	jQuery('.tabs-stage .featured-mission-box').hide();
    jQuery('.tabs-stage div:first').show();
    jQuery('.tabs-nav li:first').addClass('tab-active');

    // Change tab class and display content
    jQuery('.tabs-nav a').on('click', function(event){
        event.preventDefault();
        jQuery('.tabs-nav li').removeClass('tab-active');
        jQuery(this).parent().addClass('tab-active');
        jQuery('.tabs-stage .featured-mission-box').hide();
        jQuery(jQuery(this).attr('href')).show();
    });
});

var btn = jQuery('#button');

jQuery(window).scroll(function() {
  if (jQuery(window).scrollTop() > 300) {
    btn.addClass('show');
  } else {
    btn.removeClass('show');
  }
});
btn.on('click', function(e) {
  e.preventDefault();
  jQuery('html, body').animate({scrollTop:0}, '300');
});

window.addEventListener('load', (event) => {
    jQuery(".preloader").delay(1000).fadeOut("slow");
});

jQuery(window).scroll(function() {
    var data_sticky = jQuery(' .main-header').attr('data-sticky');

    if (data_sticky == 1) {
      if (jQuery(this).scrollTop() > 1){  
        jQuery('.main-header').addClass("sticky-head");
      } else {
        jQuery('.main-header').removeClass("sticky-head");
      }
    }
});

function preloderFunction() {
    setTimeout(function() {           
        document.getElementById("page-top").scrollIntoView();
        
        $('#ctn-preloader').addClass('loaded');  
        // Once the preloader has finished, the scroll appears 
        $('body').removeClass('no-scroll-y');

        if ($('#ctn-preloader').hasClass('loaded')) {
            // It is so that once the preloader is gone, the entire preloader section will removed
            $('#preloader').delay(1000).queue(function() {
                $(this).remove();
                
                // If you want to do something after removing preloader:
                afterLoad();
                
            });
        }
    }, 3000);
}
function afterLoad() {
    // After Load function body!
}

// Banner sub-title
jQuery(document).ready(function() {
  jQuery(".banner h5").each(function() {
    var t = jQuery(this).text(); // Get the text of the subtitle
    var splitT = t.split(" "); // Split the text into an array of words
    
    if (splitT.length > 1) { // Ensure there are at least two words
      var newText = "";
      var lastTwoWords = splitT.splice(-2).join(" "); // Extract the last two words
      
      // Reconstruct the text with the last two words highlighted
      newText = splitT.join(" ") + 
        " <span style='color:#FFFF7A; text-transform: uppercase;'>" + 
        lastTwoWords + "</span>";
      
      jQuery(this).html(newText.trim()); // Update the element's HTML
    }
  });
});

// Banner Title
jQuery(document).ready(function() {
  jQuery(".banner h3").each(function() {
    var t = jQuery(this).text();
    var splitT = t.split(" ");    
    if (splitT.length > 1) {
      var lastIndex = splitT.length - 1;
      var secondLastIndex = splitT.length - 2;
      var newText = "";
      
      for (var i = 0; i < splitT.length; i++) {
        if (i === secondLastIndex || i === lastIndex) {
          newText += "<span style='color:#DD003F'>";
          newText += splitT[i] + " ";
          newText += "</span>";
        } else {
          newText += splitT[i] + " ";
        }
      }
      
      jQuery(this).html(newText.trim());
    }
  });
});